<!DOCTYPE HTML>
<html lang="en">
<head>
<!-- Generated by javadoc (17) on Thu Oct 27 22:53:58 EEST 2022 -->
<title>org.vtokarev.dto</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-10-27">
<meta name="description" content="declaration: package: org.vtokarev.dto">
<meta name="generator" content="javadoc/PackageWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="package-declaration-page">
<script type="text/javascript">var pathtoroot = "../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li class="nav-bar-cell1-rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html#package">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Package:&nbsp;</li>
<li>Description&nbsp;|&nbsp;</li>
<li>Related Packages&nbsp;|&nbsp;</li>
<li><a href="#class-summary">Classes and Interfaces</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="Package org.vtokarev.dto" class="title">Package org.vtokarev.dto</h1>
</div>
<hr>
<div class="package-signature">package <span class="element-name">org.vtokarev.dto</span></div>
<section class="summary">
<ul class="summary-list">
<li>
<div id="class-summary">
<div class="caption"><span>Classes</span></div>
<div class="summary-table two-column-summary">
<div class="table-header col-first">Class</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color class-summary class-summary-tab2"><a href="BookingDto.html" title="class in org.vtokarev.dto">BookingDto</a></div>
<div class="col-last even-row-color class-summary class-summary-tab2">
<div class="block">The <code>BookingDto</code> class is a data transfer object, that encapsulates <a href="../domain/Booking.html" title="class in org.vtokarev.domain"><code>Booking</code></a>,
 some fields of <a href="../domain/Room.html" title="class in org.vtokarev.domain"><code>Room</code></a>, <a href="../domain/RoomClass.html" title="class in org.vtokarev.domain"><code>RoomClass</code></a>
 and calculated field <code>timeLeft</code>.</div>
</div>
<div class="col-first odd-row-color class-summary class-summary-tab2"><a href="RoomEditDto.html" title="class in org.vtokarev.dto">RoomEditDto</a></div>
<div class="col-last odd-row-color class-summary class-summary-tab2">
<div class="block">The <code>RoomEditDto</code> class is a data transfer object, that encapsulates <a href="../domain/Room.html" title="class in org.vtokarev.domain"><code>Room</code></a>, <a href="../domain/RoomClass.html" title="class in org.vtokarev.domain"><code>RoomClass</code></a>
 and calculated field <code>List&lt;String&gt; images</code>, which contains an actual list of images of the room.</div>
</div>
<div class="col-first even-row-color class-summary class-summary-tab2"><a href="RoomRequestDto.html" title="class in org.vtokarev.dto">RoomRequestDto</a></div>
<div class="col-last even-row-color class-summary class-summary-tab2">
<div class="block">The <code>RoomRequestDto</code> class is a data transfer object, that encapsulates <a href="../domain/RoomRequest.html" title="class in org.vtokarev.domain"><code>RoomRequest</code></a>,
 some fields of <a href="../domain/Room.html" title="class in org.vtokarev.domain"><code>Room</code></a>,<a href="../domain/User.html" title="class in org.vtokarev.domain"><code>User</code></a>, <a href="../domain/RoomClass.html" title="class in org.vtokarev.domain"><code>RoomClass</code></a> and <a href="../domain/BookingStatus.html" title="enum class in org.vtokarev.domain"><code>BookingStatus</code></a>.</div>
</div>
<div class="col-first odd-row-color class-summary class-summary-tab2"><a href="RoomSearchDto.html" title="class in org.vtokarev.dto">RoomSearchDto</a></div>
<div class="col-last odd-row-color class-summary class-summary-tab2">
<div class="block">The <code>RoomSearchDto</code> class is a data transfer object, that encapsulates <a href="../domain/Room.html" title="class in org.vtokarev.domain"><code>Room</code></a>,
 some fields of <a href="../domain/RoomClass.html" title="class in org.vtokarev.domain"><code>RoomClass</code></a>, and calculated field <code>status</code> .</div>
</div>
</div>
</div>
</li>
</ul>
</section>
</main>
</div>
</div>
</body>
</html>
